/// <reference types="./phaser" />
import Level from "../scenes/Level";
export declare class StarFactory {
    scene: Level;
    constructor(scene: Level);
    create(group: Phaser.Physics.Arcade.Group, x: number, y: number): Star;
}
export declare class Star extends Phaser.Physics.Arcade.Sprite {
    scene: Level;
    constructor(scene: Level, x: number, y: number);
    init(): void;
    update(): void;
}
